import React, { useContext, useEffect } from 'react';
import { observer } from 'mobx-react';

import './app.scss';
import { authStoreContext } from './AuthStore';

export const App = observer(() => {
  const authStore = useContext(authStoreContext);

  useEffect(() => {
    authStore.fetchApiVersion();
  }, []);

  const setApiVersion = () => {
    authStore.fetchApiVersion();
  };

  /*
   * Replace the elements below with your own.
   *
   * Note: The corresponding styles are in the ./${fileName}.${style} file.
   */
  return (
    <div className="app">
      <button onClick={() => setApiVersion()}>{authStore.apiVersion}</button>
    </div>
  );
});

export default App;
